package capitulo04.bloque01;

import static capitulo04.utils.Utils.generarNumAleatorio;

public class Ejercicio01 {
    public static void main(String[] args) {
        int nums150[] = new int[150];
        int suma = 0, numMenor = 100, numMayor = 0;

        for (int i = 0; i < nums150.length; i++) {
            nums150[i] = (int) Math.round(generarNumAleatorio(100));
        }

        // Este for se puede evitar metiendo el código en el for de arriba pero entiendo que se quiere que se genere y luego se recorra
        for (int num : nums150) {
            System.out.print(num + " ");
            suma += num;
            if (num > numMayor) numMayor = num;
            if (num < numMenor) numMenor = num;
        }
        System.out.println("\nSuma: " + suma);
        System.out.println("Media: " + (suma / (float) nums150.length));
        System.out.println("Número Mayor: " + numMayor);
        System.out.println("Número Menor: " + numMenor);
    }
}
